Next: ITIME, Previous: ISHFTC, Up: Intrinsic Procedures

### 8.161 `ISNAN` — Test for a NaN

Description:
  `ISNAN` tests whether a floating-point value is an IEEE Not-a-Number (NaN).
Standard:
  GNU extension
Class:
  Elemental function
Syntax:
  `ISNAN(X)`
Arguments:

  X | Variable of the type `REAL`.

Return value:
  Returns a default-kind `LOGICAL`. The returned value is `TRUE` if X is a NaN and `FALSE` otherwise.
Example:

                program test_nan
                  implicit none
                  real :: x
                  x = -1.0
                  x = sqrt(x)
                  if (isnan(x)) stop '"x" is a NaN'
                end program test_nan